Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class StreamDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.movies.media.StreamDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class StreamDescription
extends SampleDescription

This class maps the StreamDescription record of the MovieToolbox.

Fields inherited from class quicktime.std.movies.media.SampleDescription
`kNativeSize`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`StreamDescription()` This constructor makes a new StreamDescription object.
`StreamDescription(int mediaType)` This constructor makes a new StreamDescription object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`int` | `getFlags()`
`int` | `getVersion()`
`void` | `setFlags(int flags)`
`void` | `setVersion(int version)`

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize, toString`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamDescription

    public StreamDescription()
                      throws QTException

  This constructor makes a new StreamDescription object. This sets the default type of the StreamDescription to 'rtsp' -> StdQTConstants4.kQTSRTSPDataType

### StreamDescription

    public StreamDescription(int mediaType)
                      throws QTException

  This constructor makes a new StreamDescription object. This sets the default type of the
  Parameters:
    `mediaType` - this is the mediaType of the StreamDescription
    - StdQTConstants4.kQTSRTSPDataType
    - StdQTConstants4.kQTSSDPDataType

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### setFlags

    public void setFlags(int flags)

### getFlags

    public int getFlags()

### setVersion

    public void setVersion(int version)

### getVersion

    public int getVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD